import {
  DowntownCamperIcon,
  GrandHotelOsloLogoIcon,
  HaymarketIcon,
  HotelNorgeIcon,
  MarskiLogoIcon,
  ScandicGoLogoIcon,
  ScandicLogoIcon,
} from "@/components/Icons"

import type { HotelLogoProps } from "@/types/components/hotelReservation/selectHotel/hotelLogoProps"
import { HotelTypeEnum } from "@/types/enums/hotelType"
import { SignatureHotelEnum } from "@/types/enums/signatureHotel"

export default function HotelLogo({ hotelId, hotelType }: HotelLogoProps) {
  if (hotelType === HotelTypeEnum.ScandicGo) {
    return <ScandicGoLogoIcon />
  }

  switch (hotelId) {
    case SignatureHotelEnum.Haymarket:
      return <HaymarketIcon />
    case SignatureHotelEnum.HotelNorge:
      return <HotelNorgeIcon />
    case SignatureHotelEnum.DowntownCamper:
      return <DowntownCamperIcon />
    case SignatureHotelEnum.GrandHotelOslo:
      return <GrandHotelOsloLogoIcon />
    case SignatureHotelEnum.Marski:
      return <MarskiLogoIcon />
    default:
      return <ScandicLogoIcon color="red" />
  }
}
